Skip to content

Partially update a facilitator

PATCH
/api/facilitators/{facilitatorid}
curl --request PATCH \
--url https://api.eventpoint.io/api/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "name": "example", "firstName": "example", "lastName": "example", "email": "example", "contactEmail": "example", "description": "example", "contactInformation": "example", "url": "example", "phone": "example", "company": "example", "jobTitle": "example", "tags": "example", "externalId": "example", "facilitatorKind": "Person", "descriptorIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "meta": "example", "event": { "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "facilitatorTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "itemOrder": 1 } }'
facilitatorid
required
string format: uuid

The facilitator identifier.

Only the facilitator values that should change.

Editable facilitator values accepted by create and partial-update operations.

object
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
contactInformation
null | string
url
null | string
phone
null | string
company
null | string
jobTitle
null | string
tags
null | string
externalId
null | string
facilitatorKind
One of:
null
descriptorIds
Array<string> | null
meta
null | object
event

An optional event assignment applied with a facilitator mutation.

object
eventId
string format: uuid
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/

OK

object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
Allowed values: Person Company Other
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Forbidden

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string